curl --request GET \
--url https://whitebit.com/api/v4/public/trades/{market}import requests
url = "https://whitebit.com/api/v4/public/trades/{market}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://whitebit.com/api/v4/public/trades/{market}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Recent trades
The endpoint retrieves the trades that have been executed recently on the requested market. It returns up to the 100 most recent trades; the response size is fixed and there is no limit parameter.
The API caches the response for 1 second
Public trade data can include executions that originate from RPI orders. Public order book feeds (depth, bookTicker) exclude RPI orders. RPI orders appear only in private active orders and in the exchange UI order book (web and mobile).
Rate limit 2000 requests/10 sec.
Path Parameters
Market pair name
"BTC_USDT"
Query Parameters
Filter by trade side. Omit to return both buy and sell trades.
buy, sell "sell"
Response
Successful response
A unique ID associated with the trade for the currency pair transaction Note: Unix timestamp does not qualify as trade_id.
158056419
Transaction price in quote pair volume.
"9186.13"
Transaction amount in the quote (stock) currency. In a BTC_USDT market, the value is the BTC amount. Note: WhiteBIT uses a reversed naming convention compared to standard exchange terminology — the stock/asset currency is called 'quote' here.
"0.0021"
Transaction amount in the base (money) currency. In a BTC_USDT market, the value is the USDT amount. Note: WhiteBIT uses a reversed naming convention compared to standard exchange terminology — the settlement/pricing currency is called 'base' here.
"9186.13"
Unix timestamp in seconds (UTC). Identifies when the transaction occurred.
1594391747
Used to determine whether or not the transaction originated as a buy or sell. Buy – Identifies an ask that was removed from the order book. Sell – Identifies a bid that was removed from the order book.
buy, sell "sell"
Indicates that the trade originates from a Retail Price Improvement (RPI) order.
true
Was this page helpful?